﻿using Marten;

namespace Brizco.Infrastructure.Marten;

public class MartenRepositoryWrapper(IDocumentStore documentStore) : IMartenRepositoryWrapper
{
    public IMartenRepository<TMartenEntity> SetRepository<TMartenEntity>() where TMartenEntity : IMartenEntity
        => new MartenRepository<TMartenEntity>(documentStore);
}